List Images in an FPP Image Series
post
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/goldImages/actions/getFppImages
Lists all images for a given FPP image series
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : schema
Type:
objectFPP image series details
Show Source
-
seriesId: string
ID of the FPP series
-
seriesName: string
Name of the FPP series
-
serverName: string
FPP server cluster name
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Ok. FPP images retrieved.
Root Schema : schema
Type:
objectMatch All
Show Source
-
object
GoldImageGetFppImages
FPP image details collection
Nested Schema : GoldImageGetFppImages
Type:
objectFPP image details collection
Show Source
-
items: array
items
List of items
-
total: integer
Count of total images
Nested Schema : items
Type:
arrayList of items
Show Source
-
Array of:
object FppImageSummary
FPP image details
Nested Schema : FppImageSummary
Type:
objectFPP image details
Show Source
-
imageId(required): string
ID of the FPP image
-
imageName(required): string
Name of the FPP image
-
imagePlatform: string
Platform of the FPP image
-
imageVersion: string
Version of the FPP image
-
isMarkedForDeleted: boolean
Flag indicates if the image has been marked as deleted
Examples
401 Response
Unauthorized
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
403 Response
Forbidden
Root Schema : MissingPrivErrorResponse
Type:
objectResponse sent back as an Error in case required privileges are missing
Show Source
-
missingPrivileges: array
missingPrivileges
Privileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Match All
Response sent back as an Error in case required privileges are missing
Show Source
-
object
ErrorResponse
Response sent back in the case of an Error
Nested Schema : missingPrivileges
Type:
arrayPrivileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Show Source
-
Array of:
object MissingPrivilegeSummary
It represents a Privilege which is missing on a Resource to view or manage it.
Nested Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
Nested Schema : MissingPrivilegeSummary
Type:
objectIt represents a Privilege which is missing on a Resource to view or manage it.
Show Source
-
displayName: string
Display Name of PrivilegeExample:
Manage -
name: string
Name of PrivilegeExample:
MANAGE_JOB
500 Response
Internal Server Error
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
503 Response
Service Unavailable
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message